> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# SCAの問題を取得

> 依存関係の到達可能性情報を含む、指定したソフトウェア構成分析（SCA）問題の詳細を取得します。



## OpenAPI

````yaml /ja/api-reference/openapi.json get /issues/sca/{issue_id}
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: Corgeaのスキャン機能および脆弱性管理機能を操作するためのAPI
servers:
  - url: https://www.corgea.app/api/v1
    description: 本番サーバー
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /issues/sca/{issue_id}:
    get:
      tags:
        - 問題
        - SCA
      summary: SCAの問題を取得
      description: 依存関係の到達可能性情報を含む、指定したソフトウェア構成分析（SCA）問題の詳細を取得します。
      operationId: getScaIssue
      parameters:
        - name: issue_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: SCA問題ID
      responses:
        '200':
          description: SCA問題の詳細を正常に取得しました
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
                  issue:
                    $ref: '#/components/schemas/SCAIssueDetail'
        '404':
          description: SCA問題が見つかりません
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: SCA issue not found
components:
  schemas:
    SCAIssueDetail:
      allOf:
        - $ref: '#/components/schemas/SCAIssue'
        - type: object
          properties:
            cvss_score:
              type: number
              nullable: true
            status:
              type: string
              enum:
                - open
                - fixed
                - false_positive
                - accepted_risk
                - duplicate
            reachability:
              allOf:
                - $ref: '#/components/schemas/SCAReachability'
                - type: object
                  properties:
                    usages:
                      type: array
                      items:
                        $ref: '#/components/schemas/SCAIssueUsage'
    SCAIssue:
      type: object
      properties:
        id:
          type: string
          format: uuid
        created_at:
          type: string
          format: date-time
        description:
          type: string
        details:
          type: string
        severity:
          type: string
          enum:
            - critical
            - high
            - medium
            - low
        cve:
          type: string
          description: 利用可能な場合はCVE識別子
        package:
          type: object
          properties:
            name:
              type: string
            version:
              type: string
            ecosystem:
              type: string
            fix_version:
              type: string
              description: 脆弱性を修正するバージョン
        location:
          type: object
          properties:
            path:
              type: string
              description: 脆弱なパッケージを含むファイルのパス
        reachability:
          $ref: '#/components/schemas/SCAReachability'
    SCAReachability:
      type: object
      properties:
        status:
          type: string
          enum:
            - not_direct_dependency
            - pending
            - vulnerable_usage_reachable
            - vulnerable_usage_unreachable
            - dead_dependency
        description:
          type: string
    SCAIssueUsage:
      type: object
      properties:
        id:
          type: string
          format: uuid
        filename:
          type: string
        code_line:
          type: string
          nullable: true
        is_function_reachable:
          type: string
          nullable: true
          enum:
            - 'true'
            - 'false'
            - unsure
        reasoning:
          type: string
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: 認証用のAPIキー
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorizationヘッダーで使用するOAuth2アクセストークン（JWT）

````